App\Library\Amazon\Classes\WineAndAlcohol:
    xml_root_name: WineAndAlcohol
    properties:
        productType:
            expose: true
            access_type: public_method
            serialized_name: ProductType
            accessor:
                getter: getProductType
                setter: setProductType
            type: App\Library\Amazon\Classes\WineAndAlcohol\ProductTypeAType
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\WineAndAlcohol\VariationDataAType
        bodyDescription:
            expose: true
            access_type: public_method
            serialized_name: BodyDescription
            accessor:
                getter: getBodyDescription
                setter: setBodyDescription
            type: string
        nutritionFacts:
            expose: true
            access_type: public_method
            serialized_name: NutritionFacts
            accessor:
                getter: getNutritionFacts
                setter: setNutritionFacts
            type: string
        phValue:
            expose: true
            access_type: public_method
            serialized_name: PhValue
            accessor:
                getter: getPhValue
                setter: setPhValue
            type: float
        specialFeatures:
            expose: true
            access_type: public_method
            serialized_name: SpecialFeatures
            accessor:
                getter: getSpecialFeatures
                setter: setSpecialFeatures
            xml_list:
                inline: true
                entry_name: SpecialFeatures
            type: array<string>
        itemVolume:
            expose: true
            access_type: public_method
            serialized_name: ItemVolume
            accessor:
                getter: getItemVolume
                setter: setItemVolume
            type: App\Library\Amazon\Classes\VolumeDimensionType
        agingVesselMaterial:
            expose: true
            access_type: public_method
            serialized_name: AgingVesselMaterial
            accessor:
                getter: getAgingVesselMaterial
                setter: setAgingVesselMaterial
            type: string
        bottledDate:
            expose: true
            access_type: public_method
            serialized_name: BottledDate
            accessor:
                getter: getBottledDate
                setter: setBottledDate
            type: GoetasWebservices\Xsd\XsdToPhp\XMLSchema\DateTime
        packageTypeName:
            expose: true
            access_type: public_method
            serialized_name: PackageTypeName
            accessor:
                getter: getPackageTypeName
                setter: setPackageTypeName
            type: string
        cooperageHeadToastDesignation:
            expose: true
            access_type: public_method
            serialized_name: CooperageHeadToastDesignation
            accessor:
                getter: getCooperageHeadToastDesignation
                setter: setCooperageHeadToastDesignation
            type: string
        isPerishable:
            expose: true
            access_type: public_method
            serialized_name: IsPerishable
            accessor:
                getter: getIsPerishable
                setter: setIsPerishable
            type: boolean
        occasionType:
            expose: true
            access_type: public_method
            serialized_name: OccasionType
            accessor:
                getter: getOccasionType
                setter: setOccasionType
            type: string
        countryOfOrigin:
            expose: true
            access_type: public_method
            serialized_name: CountryOfOrigin
            accessor:
                getter: getCountryOfOrigin
                setter: setCountryOfOrigin
            type: string
        regionOfOrigin:
            expose: true
            access_type: public_method
            serialized_name: RegionOfOrigin
            accessor:
                getter: getRegionOfOrigin
                setter: setRegionOfOrigin
            type: string
        importer:
            expose: true
            access_type: public_method
            serialized_name: Importer
            accessor:
                getter: getImporter
                setter: setImporter
            type: string
        liquidPackagingType:
            expose: true
            access_type: public_method
            serialized_name: LiquidPackagingType
            accessor:
                getter: getLiquidPackagingType
                setter: setLiquidPackagingType
            type: string
        isLiquidDoubleSealed:
            expose: true
            access_type: public_method
            serialized_name: IsLiquidDoubleSealed
            accessor:
                getter: getIsLiquidDoubleSealed
                setter: setIsLiquidDoubleSealed
            type: boolean
        bottleType:
            expose: true
            access_type: public_method
            serialized_name: BottleType
            accessor:
                getter: getBottleType
                setter: setBottleType
            type: string
        barrelAgingTime:
            expose: true
            access_type: public_method
            serialized_name: BarrelAgingTime
            accessor:
                getter: getBarrelAgingTime
                setter: setBarrelAgingTime
            type: App\Library\Amazon\Classes\DateIntegerDimensionType
        awardsWon:
            expose: true
            access_type: public_method
            serialized_name: AwardsWon
            accessor:
                getter: getAwardsWon
                setter: setAwardsWon
            type: string
        servingRecommendation:
            expose: true
            access_type: public_method
            serialized_name: ServingRecommendation
            accessor:
                getter: getServingRecommendation
                setter: setServingRecommendation
            type: string
        countryString:
            expose: true
            access_type: public_method
            serialized_name: CountryString
            accessor:
                getter: getCountryString
                setter: setCountryString
            type: string
        caffeineContent:
            expose: true
            access_type: public_method
            serialized_name: CaffeineContent
            accessor:
                getter: getCaffeineContent
                setter: setCaffeineContent
            type: App\Library\Amazon\Classes\WeightDimensionType
        cooperageManufacturer:
            expose: true
            access_type: public_method
            serialized_name: CooperageManufacturer
            accessor:
                getter: getCooperageManufacturer
                setter: setCooperageManufacturer
            type: string
        primaryFermentationYeast:
            expose: true
            access_type: public_method
            serialized_name: PrimaryFermentationYeast
            accessor:
                getter: getPrimaryFermentationYeast
                setter: setPrimaryFermentationYeast
            type: string
        specialIngredients:
            expose: true
            access_type: public_method
            serialized_name: SpecialIngredients
            accessor:
                getter: getSpecialIngredients
                setter: setSpecialIngredients
            type: string
        fermentationMethod:
            expose: true
            access_type: public_method
            serialized_name: FermentationMethod
            accessor:
                getter: getFermentationMethod
                setter: setFermentationMethod
            type: string
        secondaryFermentationType:
            expose: true
            access_type: public_method
            serialized_name: SecondaryFermentationType
            accessor:
                getter: getSecondaryFermentationType
                setter: setSecondaryFermentationType
            type: string
        containerVolume:
            expose: true
            access_type: public_method
            serialized_name: ContainerVolume
            accessor:
                getter: getContainerVolume
                setter: setContainerVolume
            type: App\Library\Amazon\Classes\VolumeDimensionType
        isExpirationDatedProduct:
            expose: true
            access_type: public_method
            serialized_name: IsExpirationDatedProduct
            accessor:
                getter: getIsExpirationDatedProduct
                setter: setIsExpirationDatedProduct
            type: boolean
        ageRangeDescription:
            expose: true
            access_type: public_method
            serialized_name: AgeRangeDescription
            accessor:
                getter: getAgeRangeDescription
                setter: setAgeRangeDescription
            type: string
        alcoholContent:
            expose: true
            access_type: public_method
            serialized_name: AlcoholContent
            accessor:
                getter: getAlcoholContent
                setter: setAlcoholContent
            type: App\Library\Amazon\Classes\AlcoholContentDimensionType
        cooperageMaterial:
            expose: true
            access_type: public_method
            serialized_name: CooperageMaterial
            accessor:
                getter: getCooperageMaterial
                setter: setCooperageMaterial
            type: string
        containerMaterialType:
            expose: true
            access_type: public_method
            serialized_name: ContainerMaterialType
            accessor:
                getter: getContainerMaterialType
                setter: setContainerMaterialType
            type: string
        cuisine:
            expose: true
            access_type: public_method
            serialized_name: Cuisine
            accessor:
                getter: getCuisine
                setter: setCuisine
            type: string
        cooperageNewMaterialPercentage:
            expose: true
            access_type: public_method
            serialized_name: CooperageNewMaterialPercentage
            accessor:
                getter: getCooperageNewMaterialPercentage
                setter: setCooperageNewMaterialPercentage
            type: float
        externalTestingCertification:
            expose: true
            access_type: public_method
            serialized_name: ExternalTestingCertification
            accessor:
                getter: getExternalTestingCertification
                setter: setExternalTestingCertification
            type: string
        ingredients:
            expose: true
            access_type: public_method
            serialized_name: Ingredients
            accessor:
                getter: getIngredients
                setter: setIngredients
            type: string
        filteringProcess:
            expose: true
            access_type: public_method
            serialized_name: FilteringProcess
            accessor:
                getter: getFilteringProcess
                setter: setFilteringProcess
            type: string
        allergenInformation:
            expose: true
            access_type: public_method
            serialized_name: AllergenInformation
            accessor:
                getter: getAllergenInformation
                setter: setAllergenInformation
            xml_list:
                inline: true
                entry_name: AllergenInformation
            type: array<string>
        subregionOfOrigin:
            expose: true
            access_type: public_method
            serialized_name: SubregionOfOrigin
            accessor:
                getter: getSubregionOfOrigin
                setter: setSubregionOfOrigin
            type: string
        directions:
            expose: true
            access_type: public_method
            serialized_name: Directions
            accessor:
                getter: getDirections
                setter: setDirections
            type: string
        useByRecommendation:
            expose: true
            access_type: public_method
            serialized_name: UseByRecommendation
            accessor:
                getter: getUseByRecommendation
                setter: setUseByRecommendation
            type: string
        customerReturnPolicy:
            expose: true
            access_type: public_method
            serialized_name: CustomerReturnPolicy
            accessor:
                getter: getCustomerReturnPolicy
                setter: setCustomerReturnPolicy
            type: string
        containerType:
            expose: true
            access_type: public_method
            serialized_name: ContainerType
            accessor:
                getter: getContainerType
                setter: setContainerType
            type: string
        originDescription:
            expose: true
            access_type: public_method
            serialized_name: OriginDescription
            accessor:
                getter: getOriginDescription
                setter: setOriginDescription
            type: string
        tasteDescription:
            expose: true
            access_type: public_method
            serialized_name: TasteDescription
            accessor:
                getter: getTasteDescription
                setter: setTasteDescription
            type: string
        amountProduced:
            expose: true
            access_type: public_method
            serialized_name: AmountProduced
            accessor:
                getter: getAmountProduced
                setter: setAmountProduced
            type: string
        itemDisplayVolume:
            expose: true
            access_type: public_method
            serialized_name: ItemDisplayVolume
            accessor:
                getter: getItemDisplayVolume
                setter: setItemDisplayVolume
            type: App\Library\Amazon\Classes\VolumeDimensionType
        cooperageToastLevel:
            expose: true
            access_type: public_method
            serialized_name: CooperageToastLevel
            accessor:
                getter: getCooperageToastLevel
                setter: setCooperageToastLevel
            type: string
        storageInstructions:
            expose: true
            access_type: public_method
            serialized_name: StorageInstructions
            accessor:
                getter: getStorageInstructions
                setter: setStorageInstructions
            type: string
        colorMap:
            expose: true
            access_type: public_method
            serialized_name: ColorMap
            accessor:
                getter: getColorMap
                setter: setColorMap
            type: string
        closureType:
            expose: true
            access_type: public_method
            serialized_name: ClosureType
            accessor:
                getter: getClosureType
                setter: setClosureType
            type: string
        bottleAgingTime:
            expose: true
            access_type: public_method
            serialized_name: BottleAgingTime
            accessor:
                getter: getBottleAgingTime
                setter: setBottleAgingTime
            type: App\Library\Amazon\Classes\DateIntegerDimensionType
        specialty:
            expose: true
            access_type: public_method
            serialized_name: Specialty
            accessor:
                getter: getSpecialty
                setter: setSpecialty
            type: string
        liquidPackagingSeal:
            expose: true
            access_type: public_method
            serialized_name: LiquidPackagingSeal
            accessor:
                getter: getLiquidPackagingSeal
                setter: setLiquidPackagingSeal
            type: string
        oneClickAvailable:
            expose: true
            access_type: public_method
            serialized_name: OneClickAvailable
            accessor:
                getter: getOneClickAvailable
                setter: setOneClickAvailable
            type: boolean
